Page MenuHomePhabricator

MCSchedModel: Add comments to IssueWidth.
ClosedPublic

Authored by atrick on May 14 2018, 12:21 PM.

Details

Diff Detail

Event Timeline

atrick created this revision.May 14 2018, 12:21 PM
jonpa added a subscriber: jonpa.May 15 2018, 12:20 AM

With inspiration from your reply, perhaps begin with something like:

The MCSchedModel (in contrast to InstrItineraries) is an abstract machine used for modeling predictable physical machine features. It is built around the notion...

I think this is a very important point.

include/llvm/MC/MCSchedule.h
247

Maybe remove this now?

256

"to model to" -> "to model"

257

What happens if there is no bottleneck after decoder - IssueWidth then is typically the decoder capacity?

atrick updated this revision to Diff 146952.May 15 2018, 4:01 PM
jonpa accepted this revision.May 17 2018, 11:55 PM

Very helpful!
LGTM.

This revision is now accepted and ready to land.May 17 2018, 11:55 PM
atrick closed this revision.May 18 2018, 9:07 AM

Landed here

Author: atrick <atrick@91177308-0d34-0410-b5e6-96231b3b80d8>
Date: Fri May 18 08:57:54 2018

MCSchedModel: Add comments to IssueWidth.

git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@332729 91177308-0d34-0410-b5e6-96231b3b80d8

And I forgot to put a "Differential Revision" tag in the commit. I'll close this manually.